/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package proyecto;

import java.awt.Image;
import java.net.URL;
import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 *
 * @author olive
 */
public class bienvenida extends javax.swing.JFrame {

    /**
     * Creates new form Principal
     */
    
    public bienvenida() {
        
      this.setResizable(false);
        initComponents();
        this.setLocationRelativeTo(null);
       // .getScaledInstance(50,40,Image.SCALE_DEFAULT)
       // imagen fondo
         ImageIcon ruta = new ImageIcon("src/multimedia/deluxe.jpg");
        Icon icono = new ImageIcon(ruta.getImage().getScaledInstance(lblImagen1.getWidth(), lblImagen1.getHeight(),Image.SCALE_DEFAULT));
        lblImagen1.setIcon(icono);
        this.repaint();
        // logo ventana
        ruta =new ImageIcon("src/multimedia/deluxelogo.jpg");
        this.setIconImage(ruta.getImage());
        //  boton icono}
        ruta = new ImageIcon("src/multimedia/continue.png");
        icono = new ImageIcon(ruta.getImage().getScaledInstance(btnContinuar.getWidth(),btnContinuar.getHeight(), Image.SCALE_DEFAULT));
        btnContinuar.setIcon(icono);
       // URL imagen = getClass().getResource("nombreconstruc.jpg");
       // ImageIcon img = new ImageIcon(imagen);
       // lblImagen1.setIcon(img);
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnContinuar = new javax.swing.JButton();
        lblImagen1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Deluxe");
        setLocation(new java.awt.Point(427, 144));
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        btnContinuar.setBackground(null);
        btnContinuar.setForeground(null);
        btnContinuar.setToolTipText("continua a la siguiente ventana");
        btnContinuar.setBorderPainted(false);
        btnContinuar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnContinuarActionPerformed(evt);
            }
        });
        getContentPane().add(btnContinuar, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 340, 110, 30));
        getContentPane().add(lblImagen1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, -20, 720, 440));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnContinuarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnContinuarActionPerformed
      SEE S = new SEE();
      S.setVisible(true);
      this.dispose();
    }//GEN-LAST:event_btnContinuarActionPerformed

    
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(bienvenida.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(bienvenida.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(bienvenida.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(bienvenida.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new bienvenida().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnContinuar;
    private javax.swing.JLabel lblImagen1;
    // End of variables declaration//GEN-END:variables
}
